List flow runs

List flow runs that match the provided filters. If no filters are provided, all flow runs accessible by the authenticated user are returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The position in the result list to start from when fetching paginated results. For details, see Pagination.

integer
1 to 100
Defaults to 20

The maximum number of items to return. For details, see Pagination.

flowSlug
array of strings

An array of flow slugs in the format workflow-slug/flow-name. An optional version can be appended (workflow-slug/flow-name:version). If no version is provided, the latest version is used.

flowSlug
flowId
array of strings

An array of flow IDs

flowId
status
array of strings

An array of flow run statuses to filter on

status
Allowed:
ownerId
array of strings

The ID of the workspaces to return resources for

ownerId
workflowVersionId
array of strings

An array of workflow version IDs

workflowVersionId
workflowId
array of strings

An array of workflow IDs

workflowId
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json